Sync with Waxpeer session to auto-fill API key

List steam items from inventory

POST/v1/list-items-steam

Array of items (Recommended number of items per request is 100)

Rate limit of list/edit actions for each item_id is 2 requests per 120 seconds

Note: item_id is accepted as a string (recommended) or a number, and is returned as a string. Rust asset ids are 18 digits (larger than 2^53), so send and store item_id as a string: a JSON number is rounded by JavaScript and most JSON parsers.

Prices are integers. 1000 = $1.00 USD.

Parameters

NameLocationTypeDescription
api
required
querystring
game
optional
queryenum

Game code for requested items (csgo, tf2, rust, dota2)

enum: csgo, tf2, rust, dota2

Request body

NameLocationTypeDescription
items
optional
bodyarray<object>

Array of items

item_id
optional
bodystring

Steam item_id from GET /v1/get-my-inventory, as a string (recommended) or a number. Rust asset ids are 18 digits (larger than 2^53), so send and store item_id as a string: a JSON number is rounded by JavaScript and most JSON parsers.

price
optional
bodynumber

Item price in integer format (1000 = $1.00 USD)

Example
{
  "items": [
    {
      "item_id": "141414144",
      "price": 1000
    }
  ]
}

Responses

200 Successful operation

NameTypeDescription
success
optional
boolean

Whether the operation succeeded

msg
optional
string

Reason message when success is false

listed
optional
array<object>

List of successfully listed items

item_id
optional
string

item_id that you sent, as a string

price
optional
number

Item price in integer format (1000 = $1.00 USD)

name
optional
string

Full item market hash name

failed
optional
array<object>

List of items that failed to list

item_id
optional
string

item_id that you sent, as a string

price
optional
number

Item price in integer format (1000 = $1.00 USD)

msg
optional
string

Reason message when success is false

msBeforeNext
optional
number

Milliseconds before next allowed request

Response
{
  "success": true,
  "msg": "no items",
  "listed": [
    {
      "item_id": "141414144",
      "price": 1000,
      "name": "AWP | Asiimov (Field-tested)"
    }
  ],
  "failed": [
    {
      "item_id": "141414145",
      "price": 1000,
      "msg": "You can list your item after 40 seconds",
      "msBeforeNext": 39636
    }
  ]
}